Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class s2iProjectSetup

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Frame
                              |
                              +--javax.swing.JFrame
                                    |
                                    +--s2iProjectSetup

public class s2iProjectSetup
extends javax.swing.JFrame
implements s2iDBOpenListener

A window for collecting basic information needed to start a project.

Author:
  Anish Malhotra, Cadence Design Systems
See Also:
  Serialized Form

Inner Class Summary
`(package private) class` | `s2iProjectSetup.LibTreeList`
`(package private) class` | `s2iProjectSetup.SymAction` A class for handling button events
`(package private) class` | `s2iProjectSetup.SymItem`
`(package private) class` | `s2iProjectSetup.SymWindow` A class for handling window events
`(package private) class` | `s2iProjectSetup.treeDelListener`
`(package private) class` | `s2iProjectSetup.TreeList`

Inner classes inherited from class javax.swing.JFrame
`javax.swing.JFrame.AccessibleJFrame`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AWTTreeLock`

Field Summary
`(package private) s2iProjectSetup.LibTreeList` | `BestLibTreeList`
`(package private) s2iProjectSetup.TreeList` | `BestModelTreeList`
`(package private) javax.swing.JPanel` | `borderPanel1`
`(package private) boolean` | `fComponentsAdjusted` Has the layout been adjusted?
`(package private) javax.swing.JButton` | `invisibleButton1` An invisible button to work around problems resizing the window.
`(package private) javax.swing.JButton` | `jAddLibButton`
`(package private) javax.swing.JButton` | `jAddModButton`
`(package private) javax.swing.JButton` | `jCancelButton`
`(package private) javax.swing.JComboBox` | `jComboBox1`
`(package private) javax.swing.JButton` | `jDelModelButton`
`(package private) javax.swing.JTextField` | `jImportField`
`(package private) javax.swing.JLabel` | `jImportLabel`
`(package private) javax.swing.JLabel` | `jLabel1`
`(package private) javax.swing.JScrollPane` | `jLibScrollPane`
`(package private) javax.swing.JTree` | `jLibTree`
`(package private) javax.swing.JLabel` | `jModelLibLabel`
`(package private) javax.swing.JScrollPane` | `jModelScrollPane`
`(package private) javax.swing.JLabel` | `jModelsLabel`
`(package private) javax.swing.JTree` | `jModelTree`
`(package private) javax.swing.JButton` | `jOKButton`
`(package private) javax.swing.JButton` | `jSPICEBrowseButton`
`(package private) javax.swing.JLabel` | `jTypeLabel`
`(package private) boolean` | `newProject`
`(package private) java.awt.Component` | `parent`
`(package private) java.awt.Choice` | `TypeChoice`
`(package private) s2iProjectSetup.LibTreeList` | `TypLibTreeList`
`(package private) s2iProjectSetup.TreeList` | `TypModelTreeList`
`(package private) s2iProjectSetup.LibTreeList` | `WorstLibTreeList`
`(package private) s2iProjectSetup.TreeList` | `WorstModelTreeList`

Fields inherited from class javax.swing.JFrame
`accessibleContext, defaultCloseOperation, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`base, CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, frameSerializedDataVersion, HAND_CURSOR, icon, ICONIFIED, mbManagement, menuBar, MOVE_CURSOR, N_RESIZE_CURSOR, nameCounter, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, ownedWindows, resizable, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, serialVersionUID, state, SW_RESIZE_CURSOR, TEXT_CURSOR, title, W_RESIZE_CURSOR, WAIT_CURSOR, weakThis`

Fields inherited from class java.awt.Window
`active, base, focusMgr, inputContext, nameCounter, OPENED, ownedWindowList, serialVersionUID, state, warningString, weakThis, windowListener, windowSerializedDataVersion`

Fields inherited from class java.awt.Container
`component, containerListener, containerSerializedDataVersion, dispatcher, layoutMgr, maxSize, ncomponents, serialVersionUID`

Fields inherited from class java.awt.Component
`actionListenerK, adjustmentListenerK, appContext, assert, background, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, changeSupport, componentListener, componentListenerK, componentOrientation, componentSerializedDataVersion, containerListenerK, cursor, dropTarget, enabled, eventMask, focusListener, focusListenerK, font, foreground, hasFocus, height, incRate, inputMethodListener, inputMethodListenerK, isInc, isPacked, itemListenerK, keyListener, keyListenerK, LEFT_ALIGNMENT, locale, LOCK, minSize, mouseListener, mouseListenerK, mouseMotionListener, mouseMotionListenerK, name, nameExplicitlySet, newEventsOnly, ownedWindowK, parent, peer, peerFont, popups, prefSize, RIGHT_ALIGNMENT, serialVersionUID, textListenerK, TOP_ALIGNMENT, valid, visible, width, windowListenerK, x, y`

Constructor Summary
`s2iProjectSetup()` Construct the window class with default window title.
`s2iProjectSetup(java.awt.Component parent, boolean isNewProject)` Calling this constructor disables the parent until s2iProjectSetup's window is open.
`s2iProjectSetup(java.lang.String sTitle)` Constructor with a specified window title.

Method Summary
`void` | `addNotify()` Call the superclass addNotify method, then adjust the layout.
`private java.lang.String` | `audit(java.lang.String auditFileName)`
`(package private) s2iProjectSetup.LibTreeList` | `getActiveLibTreeList()`
`(package private) s2iProjectSetup.TreeList` | `getActiveModTreeList()` Choose a TreeList based on the current ModelType..
`void` | `getDB()` This function gets called whenever the DB is opened (File->Open) *
`(package private) void` | `jAddLibButton_actionPerformed(java.awt.event.ActionEvent event)` Have the user choose a Spice library file
`(package private) void` | `jAddModButton_actionPerformed(java.awt.event.ActionEvent event)`
`(package private) void` | `jCancelButton_actionPerformed(java.awt.event.ActionEvent event)`
`(package private) void` | `jDelModelButton_actionPerformed(java.awt.event.ActionEvent event)`
`(package private) void` | `JFrame1_WindowClosing(java.awt.event.WindowEvent event)` Quit the application when the main window closes.
`private void` | `jLibTree_delElem(java.awt.event.ActionEvent event)`
`private void` | `jModelTree_delElem(java.awt.event.ActionEvent event)`
`(package private) void` | `jOKButton_actionPerformed(java.awt.event.ActionEvent event)`
`(package private) void` | `jSPICEBrowseButton_actionPerformed(java.awt.event.ActionEvent event)` Have the user choose a Spice file
`static void` | `main(java.lang.String[] args)` Test the s2iProjectSetup window.
`(package private) void` | `s2iProjectSetup_windowClosed(java.awt.event.WindowEvent event)`
`void` | `setVisible(boolean b)` Show the window.
`(package private) void` | `TypeChoice_ItemStateChanged(java.awt.event.ItemEvent event)`

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, createRootPaneException, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processKeyEvent, processWindowEvent, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Frame
`, addToFrameList, constructComponentName, finalize, getCursorType, getFrames, getIconImage, getMenuBar, getState, getTitle, initIDs, isResizable, postProcessKeyEvent, readObject, remove, removeFromFrameList, removeNotify, setCursor, setIconImage, setMenuBar, setResizable, setState, setTitle, writeObject`

Methods inherited from class java.awt.Window
`addOwnedWindow, addWindowListener, applyResourceBundle, applyResourceBundle, connectOwnedWindow, dispatchEventImpl, dispose, eventEnabled, getFocusOwner, getInputContext, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, isActive, isShowing, nextFocus, ownedInit, pack, postEvent, postWindowEvent, preProcessKeyEvent, processEvent, removeOwnedWindow, removeWindowListener, setFocusOwner, setWarningString, show, toBack, toFront, transferFocus`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyOrientation, countComponents, deliverEvent, dispatchEventToSelf, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents_NoClientCode, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getMouseEventTarget, getPreferredSize, getWindow, insets, invalidate, invalidateTree, isAncestorOf, layout, lightweightPrint, list, list, locate, minimumSize, paint, paintComponents, postsOldMouseEvents, preferredSize, print, printComponents, printOneComponent, processContainerEvent, proxyEnableEvents, proxyRequestFocus, remove, remove, removeAll, removeContainerListener, setFont, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, areInputMethodsEnabled, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont_NoClientCode, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getNativeContainer, getParent_NoClientCode, getParent, getPeer, getSize, getSize, getToolkitImpl, getTreeLock, getWidth, getWindowForObject, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isEnabledImpl, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### fComponentsAdjusted

    boolean fComponentsAdjusted

  Has the layout been adjusted?

### jLabel1

    javax.swing.JLabel jLabel1

### jImportLabel

    javax.swing.JLabel jImportLabel

### jImportField

    javax.swing.JTextField jImportField

### jSPICEBrowseButton

    javax.swing.JButton jSPICEBrowseButton

### borderPanel1

    javax.swing.JPanel borderPanel1

### jTypeLabel

    javax.swing.JLabel jTypeLabel

### TypeChoice

    java.awt.Choice TypeChoice

### jModelLibLabel

    javax.swing.JLabel jModelLibLabel

### jModelsLabel

    javax.swing.JLabel jModelsLabel

### jAddModButton

    javax.swing.JButton jAddModButton

### jDelModelButton

    javax.swing.JButton jDelModelButton

### invisibleButton1

    javax.swing.JButton invisibleButton1

  An invisible button to work around problems resizing the window. This button can not be seen, but it forces the layout manager to reposition and resize objects correctly when the window is resized.

### jAddLibButton

    javax.swing.JButton jAddLibButton

### jLibScrollPane

    javax.swing.JScrollPane jLibScrollPane

### jLibTree

    javax.swing.JTree jLibTree

### jModelScrollPane

    javax.swing.JScrollPane jModelScrollPane

### jModelTree

    javax.swing.JTree jModelTree

### jOKButton

    javax.swing.JButton jOKButton

### jCancelButton

    javax.swing.JButton jCancelButton

### jComboBox1

    javax.swing.JComboBox jComboBox1

### TypModelTreeList

    s2iProjectSetup.TreeList TypModelTreeList

### BestModelTreeList

    s2iProjectSetup.TreeList BestModelTreeList

### WorstModelTreeList

    s2iProjectSetup.TreeList WorstModelTreeList

### TypLibTreeList

    s2iProjectSetup.LibTreeList TypLibTreeList

### BestLibTreeList

    s2iProjectSetup.LibTreeList BestLibTreeList

### WorstLibTreeList

    s2iProjectSetup.LibTreeList WorstLibTreeList

### parent

    java.awt.Component parent

### newProject

    boolean newProject

Constructor Detail

### s2iProjectSetup

    public s2iProjectSetup()

  Construct the window class with default window title.

### s2iProjectSetup

    public s2iProjectSetup(java.lang.String sTitle)

  Constructor with a specified window title.
  Parameters:
    `sTitle` - The window title string

### s2iProjectSetup

    public s2iProjectSetup(java.awt.Component parent,
                           boolean isNewProject)

  Calling this constructor disables the parent until s2iProjectSetup's window is open. This constructor also has special handling for new projects, to clear data from previously opened projects.
  Parameters:
    `parent` - The parent window to block while opening
    `isNewProject` - true if this is a new project Non-symantec constructor: anish 30 Jan 99

Method Detail

### setVisible

    public void setVisible(boolean b)

  Show the window. This resets the window location before calling the superclass.
  Parameters:
    `b` - true or false for visibility.
  Overrides:
    setVisible in class java.awt.Component

### main

    public static void main(java.lang.String[] args)

  Test the s2iProjectSetup window. Only shows the window.
  Parameters:
    `args` - unused

### addNotify

    public void addNotify()

  Call the superclass addNotify method, then adjust the layout.
  Overrides:
    addNotify in class java.awt.Frame

### JFrame1_WindowClosing

    void JFrame1_WindowClosing(java.awt.event.WindowEvent event)

  Quit the application when the main window closes.
  Parameters:
    `event` - unused

### jSPICEBrowseButton_actionPerformed

    void jSPICEBrowseButton_actionPerformed(java.awt.event.ActionEvent event)

  Have the user choose a Spice file
  Parameters:
    `event` - The event that triggered the call

### getActiveModTreeList

    s2iProjectSetup.TreeList getActiveModTreeList()

  Choose a TreeList based on the current ModelType..

### getActiveLibTreeList

    s2iProjectSetup.LibTreeList getActiveLibTreeList()

### jAddLibButton_actionPerformed

    void jAddLibButton_actionPerformed(java.awt.event.ActionEvent event)

  Have the user choose a Spice library file
  Parameters:
    `event` - The event that triggered the call

### jLibTree_delElem

    private void jLibTree_delElem(java.awt.event.ActionEvent event)

### jModelTree_delElem

    private void jModelTree_delElem(java.awt.event.ActionEvent event)

### TypeChoice_ItemStateChanged

    void TypeChoice_ItemStateChanged(java.awt.event.ItemEvent event)

### jAddModButton_actionPerformed

    void jAddModButton_actionPerformed(java.awt.event.ActionEvent event)

### jDelModelButton_actionPerformed

    void jDelModelButton_actionPerformed(java.awt.event.ActionEvent event)

### audit

    private java.lang.String audit(java.lang.String auditFileName)
                            throws java.io.FileNotFoundException,
                                   java.io.IOException

### jOKButton_actionPerformed

    void jOKButton_actionPerformed(java.awt.event.ActionEvent event)

### jCancelButton_actionPerformed

    void jCancelButton_actionPerformed(java.awt.event.ActionEvent event)

### getDB

    public void getDB()

  This function gets called whenever the DB is opened (File->Open) *
  Specified by:
    getDB in interface s2iDBOpenListener

### s2iProjectSetup_windowClosed

    void s2iProjectSetup_windowClosed(java.awt.event.WindowEvent event)

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD